KDE 4.2 PyKDE API Reference

- KDE's Python API

# Soprano.Vocabulary.SIL Namespace Reference

`from PyKDE4.soprano.Soprano.Vocabulary.SIL import *`

## Detailed Description

SIL, The Soprano Inference Language defines a set or URIs that are used by the Soprano inference engine.

## Functions

QUrl | InferenceGraph ()
QUrl | InferenceMetaData ()
QUrl | context ()
QUrl | silNamespace ()
QUrl | sourceStatement ()

## Function Documentation

QUrl InferenceGraph | ( |  | self ) |

inferenceGraph is a rdfs:Class that represents named graphs containing infered triples.

(http://soprano.org/sil#InferenceGraph)

QUrl InferenceMetaData | ( |  | self ) |

URI of the named graph that contains all metadata about the inference graphs such as their sourceStatements and their type (which is always INFERENCE_GRAPH).

(http://soprano.org/sil#InferenceMetaData)

QUrl context | ( |  | self ) |

Property as addition to rdf:subject, rdf:predicate, and rdf:object to state the context of a statement.

QUrl silNamespace | ( |  | self ) |

The SIL namespace (http://soprano.org/sil#)

QUrl sourceStatement | ( |  | self ) |

Property that states which statement was used to infer the triples in one inferenceGraph.

(http://soprano.org/sil#sourceStatement)